# Uses of Class
org.opensaml.security.criteria.KeyAlgorithmCriterion

Packages that use KeyAlgorithmCriterion
Package
Description
org.opensaml.security.credential.criteria.impl
Implementations of `Criterion` where the parameterized evaluation target type is `Credential`.
org.opensaml.xmlsec.encryption.support
Functional support for XML Encryption.

## Uses of KeyAlgorithmCriterion in org.opensaml.security.credential.criteria.impl

Constructors in org.opensaml.security.credential.criteria.impl with parameters of type KeyAlgorithmCriterion
Modifier
Constructor
Description
``
`EvaluableKeyAlgorithmCredentialCriterion(KeyAlgorithmCriterion criteria)`
Constructor.

## Uses of KeyAlgorithmCriterion in org.opensaml.xmlsec.encryption.support

Methods in org.opensaml.xmlsec.encryption.support that return KeyAlgorithmCriterion
Modifier and Type
Method
Description
`private KeyAlgorithmCriterion`
Decrypter.`buildKeyAlgorithmCriteria(String encAlgorithmURI)`
Dynamically construct key algorithm credential criteria based on the specified algorithm URI.